Subject: Re: Git status shows modifications after cloning

From: Ilari Liusvaara <[email-masked]>
Date: Mon, 8 Mar 2010 17:40:22 +0200

On Mon, Mar 08, 2010 at 07:32:25AM -0800, jateeq wrote:
> 
> After cloning from a local repository, a git status shows me that each file
> in the repository has been modified - I don't want this to happen. I have
> searched around the net, and there is stuff about this happening if the
> configurations for the original and the clone are not the same, with
> specific mention of the variable core.autocrlf. However, this variable is
> unspecified in both repositories, and the differences in config files is
> listed below.

At least having core.autocrlf enabled and having CRLF files in repository
is known to cause problems like that. But reading the configuration, it doesn't
look this is Windows system (and the rest don't tend to have core.autocrlf
enabled).

The files in repository definitely should not have CRLF line endings (the
proper one is just LF).

-Ilari